%global dlrn_nvr tripleo-image-elements-13.1.3.dev14-1.20230322223831.a641940
%global dlrn 1
%define upstream_version 13.1.3.dev14
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-image-elements
Summary:	OpenStack TripleO Image Elements for diskimage-builder
Version: 13.1.3
Release: 1.20230322223831.a641940%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-image-elements-13.1.3.dev14-1.20230322223831.a641940.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=a641940f44820ba0f06900241d7e358e6542be0c

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/tripleo-image-elements/tripleo-image-elements-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:	noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:  /usr/bin/pathfix.py

Requires:	diskimage-builder

%description
OpenStack TripleO Image Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images for the TripleO
program.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n tripleo-image-elements-%{upstream_version}

%build
%{py3_build}

%install
%{py3_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/tripleo-image-elements/os-svc-install/bin/map-services-tripleo

%files
%doc LICENSE
%doc README.rst
%doc AUTHORS
%doc ChangeLog
%{python3_sitelib}/tripleo_image_elements*
%{_datadir}/tripleo-image-elements

%changelog
* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 13.1.3-1.20230322223831.a641940
- Update patches
- Revert "Install modified udev rule to fix lvextend unmount"

* Thu Feb 09 2023 OSP Prod Chain <dev-null@redhat.com> 13.1.3-1.20230210013905.40dd9ee
- Update patches
- Install modified udev rule to fix lvextend unmount

* Thu Feb 02 2023 OSP Prod Chain <dev-null@redhat.com> 13.1.3-1.20230202174039.cfc336b
- Install modified udev rule to fix lvextend unmount (rhbz#2158628)

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.3-1.20221022033813.cfc336b
- Update patches
- Switch to LVM thin provisioning
- Switch to MiB for all partition/volume sizes
- Add a separate /boot partition

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.3-1.20221022013812.25aaafd
- Switch to LVM thin provisioning
- Switch to MiB for all partition/volume sizes
- Add a separate /boot partition

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.3-1.20220727145152.25aaafd
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.3-1.20220718104410.25aaafd
- Update patches
- Add element reset-bls-entries

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.3-0.20220512232411.400108d
- Update patches
- Migrate from testr to stestr, disable auto discovery

* Tue May 10 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.3-0.20220510162343.6883abc
- Disable auto discovery
- Add element reset-bls-entries (rhbz#2073855)

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 13.1.3-0.20220122231635.6883abc
- Update patches
- delorean-repo remove yum_plugin_priorities_package

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 13.1.3-0.20211112132732.0e771f1
- Update patches
- Double the size of /boot/efi partition

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 13.1.3-0.20211003001852.a04969b
- Update patches
- Add small /srv volume for optional swift data
- Shrink whole disk image from 40G to 6G
- Depend on growvols element
- Unmask and enable tmp.mount for overcloud-partition
- Don't depend on block-device elements

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 13.1.2-0.20210719222914.fb4c362
- Update patches

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 13.1.2-0.20210612072930.fb4c362
- Update patches
- Clean up ifcfg-eth0

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 13.1.1-0.20210528123659.74acb54
- Update patches

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 13.1.1-0.20210520070800.74acb54
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 13.1.1-0.20210518231821.74acb54
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 13.1.0-0.20210513002620.c69ead8
- Update patches

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop pbr version ceiling and add py39 testing

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- ensure any ens3 interface is nuked during image build
- Add doc/requirements

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump pyflakes

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move partition handling to overcloud-partition / overcloud-partition-uefi

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Updates for python 2.7 drop

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Removing debug output of 51-hosts

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install python3-dev package

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove py27 in tox.ini from tripleo-image-elements

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup stale interface if exists

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Cleanup stale interface if exists
- Cleanup stale interface if exists

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup stale interface if exists

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mapping for python-dev for Ubuntu Focal

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable yum-plugin-priorities elements for CentOS8

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update python tox tests

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tox: Keeping going with docs

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri jobs

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync Sphinx requirement


